Index: Makefile
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/Makefile,v
diff -u -p -r1.247 Makefile
--- Makefile	1 Sep 2025 09:20:38 -0000	1.247
+++ Makefile	1 Sep 2025 09:39:30 -0000
@@ -1,7 +1,7 @@
 COMMENT=	audio/video converter and streamer
 
 # keep it synced with x11/mplayer
-V=		6.1.3
+V=		8.0
 DISTNAME=	ffmpeg-${V}
 EPOCH=		1
 CATEGORIES=	graphics multimedia
@@ -10,14 +10,13 @@ EXTRACT_SUFX=	.tar.xz
 
 USE_NOBTCFI-amd64=	Yes
 
-SHARED_LIBS=	avcodec		26.0 \
-		avdevice	14.0 \
-		avfilter	12.0 \
-		avformat	23.0 \
-		avutil		16.0 \
-		postproc	20.0 \
-		swresample	5.0 \
-		swscale		8.0
+SHARED_LIBS=	avcodec		27.0 \
+		avdevice	15.0 \
+		avfilter	13.0 \
+		avformat	24.0 \
+		avutil		17.0 \
+		swresample	6.0 \
+		swscale		9.0
 
 HOMEPAGE=	https://ffmpeg.org/
 
@@ -86,7 +85,6 @@ LIBavformat_EXTRALIBS=-L${LOCALBASE}/lib
 
 LIBavutil_EXTRALIBS=-L${X11BASE}/lib -lva -lva-drm -lva-x11 -lm -pthread
 
-LIBpostproc_EXTRALIBS=-lm
 LIBswresample_EXTRALIBS=-lm
 LIBswscale_EXTRALIBS=-lm
 
@@ -171,7 +169,6 @@ MAKE_ENV+=	V=1 \
 		libavfilter_extralibs="${LIBavfilter_EXTRALIBS}" \
 		libavformat_extralibs="${LIBavformat_EXTRALIBS}" \
 		libavutil_extralibs="${LIBavutil_EXTRALIBS}" \
-		libpostproc_extralibs="${LIBpostproc_EXTRALIBS}" \
 		libswresample_extralibs="${LIBswresample_EXTRALIBS}" \
 		libswscale_extralibs="${LIBswscale_EXTRALIBS}" \
 		libavcodec_linkflags="-Wl,-rpath-link,${LOCALBASE}/lib" \
@@ -179,15 +176,13 @@ MAKE_ENV+=	V=1 \
 		libavfilter_linkflags="-Wl,-rpath-link,${LOCALBASE}/lib:${X11BASE}/lib" \
 		libavformat_linkflags="-Wl,-rpath-link,${LOCALBASE}/lib" \
 		libavutil_linkflags="" \
-		libpostproc_linkflags="" \
 		libswresample_linkflags="" \
 		libswscale_linkflags="" \
 		libavcodec_requires="libswresample libavutil" \
-		libavdevice_requires="libavfilter libswscale libpostproc libavformat libavcodec libswresample libavutil" \
-		libavfilter_requires="libswscale libpostproc libavformat libavcodec libswresample libavutil" \
+		libavdevice_requires="libavfilter libswscale libavformat libavcodec libswresample libavutil" \
+		libavfilter_requires="libswscale libavformat libavcodec libswresample libavutil" \
 		libavformat_requires="libavcodec libswresample libavutil" \
 		libavutil_requires="" \
-		libpostproc_requires="libavutil" \
 		libswresample_requires="libavutil" \
 		libswscale_requires="libavutil"
 
@@ -196,17 +191,15 @@ VERSION_FLAGS=	libavcodec_VERSION=${LIBa
 		libavfilter_VERSION=${LIBavfilter_VERSION} \
 		libavformat_VERSION=${LIBavformat_VERSION} \
 		libavutil_VERSION=${LIBavutil_VERSION} \
-		libpostproc_VERSION=${LIBpostproc_VERSION} \
 		libswresample_VERSION=${LIBswresample_VERSION} \
 		libswscale_VERSION=${LIBswscale_VERSION}
 
 MAKE_FLAGS=	${VERSION_FLAGS} \
 		LIBavcodec_EXTRALIBS="-lswresample -lavutil ${LIBavcodec_EXTRALIBS}" \
-		LIBavdevice_EXTRALIBS="-lavfilter -lswscale -lpostproc -lavformat -lavcodec -lswresample -lavutil ${LIBavdevice_EXTRALIBS}" \
-		LIBavfilter_EXTRALIBS="-lswscale -lpostproc -lavformat -lavcodec -lswresample -lavutil ${LIBavfilter_EXTRALIBS}" \
+		LIBavdevice_EXTRALIBS="-lavfilter -lswscale -lavformat -lavcodec -lswresample -lavutil ${LIBavdevice_EXTRALIBS}" \
+		LIBavfilter_EXTRALIBS="-lswscale -lavformat -lavcodec -lswresample -lavutil ${LIBavfilter_EXTRALIBS}" \
 		LIBavformat_EXTRALIBS="-lavcodec -lswresample -lavutil ${LIBavformat_EXTRALIBS}" \
 		LIBavutil_EXTRALIBS="${LIBavutil_EXTRALIBS}" \
-		LIBpostproc_EXTRALIBS="-lavutil ${LIBpostproc_EXTRALIBS}" \
 		LIBswresample_EXTRALIBS="-lavutil ${LIBswresample_EXTRALIBS}" \
 		LIBswscale_EXTRALIBS="-lavutil ${LIBswscale_EXTRALIBS}"
 FAKE_FLAGS=	${VERSION_FLAGS} \
@@ -215,7 +208,7 @@ FAKE_FLAGS=	${VERSION_FLAGS} \
 ALL_TARGET=	all tools/qt-faststart
 TEST_TARGET=	check
 
-.for _l in avutil avfilter avcodec avformat avdevice swscale swresample postproc
+.for _l in avutil avfilter avcodec avformat avdevice swscale swresample
 TEST_LIB_PATH:=	${TEST_LIB_PATH}:${WRKBUILD}/lib${_l}
 .endfor
 TEST_ENV+=	LD_LIBRARY_PATH=${TEST_LIB_PATH:C/^://}
Index: distinfo
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/distinfo,v
diff -u -p -r1.69 distinfo
--- distinfo	1 Sep 2025 09:20:38 -0000	1.69
+++ distinfo	1 Sep 2025 09:27:20 -0000
@@ -1,2 +1,2 @@
-SHA256 (ffmpeg-6.1.3.tar.xz) = vF8eSk0oOmSSNUaE7hEkEpxSKTvPxqkWkZNTn77ONIc=
-SIZE (ffmpeg-6.1.3.tar.xz) = 10473704
+SHA256 (ffmpeg-8.0.tar.xz) = snUfzLbMTHdwgRPNeLVhBZtvqQSyQWL6C+LWAnPSe44=
+SIZE (ffmpeg-8.0.tar.xz) = 11384428
Index: patches/patch-configure
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/patches/patch-configure,v
diff -u -p -r1.76 patch-configure
--- patches/patch-configure	1 Sep 2025 09:20:38 -0000	1.76
+++ patches/patch-configure	1 Sep 2025 09:38:43 -0000
@@ -1,20 +1,9 @@
-- aarch64: Implement support for elf_aux_info(3) on FreeBSD and OpenBSD
-  a3f79fd22a367207097c78e0a5d2bc213efe9f80
-
 - Fix broken libatomic test
 
 Index: configure
 --- configure.orig
 +++ configure
-@@ -2300,6 +2300,7 @@ SYSTEM_FUNCS="
-     clock_gettime
-     closesocket
-     CommandLineToArgvW
-+    elf_aux_info
-     fcntl
-     getaddrinfo
-     getauxval
-@@ -5607,7 +5608,6 @@ case $target_os in
+@@ -5880,7 +5880,6 @@ case $target_os in
          enable section_data_rel_ro
          striptype=""
          SHFLAGS='-shared'
@@ -22,29 +11,21 @@ Index: configure
          SLIB_INSTALL_LINKS=
          oss_indev_extralibs="-lossaudio"
          oss_outdev_extralibs="-lossaudio"
-@@ -5968,7 +5968,7 @@ set_default libdir
+@@ -6252,7 +6251,7 @@ set_default libdir
  set_default $PATHS_LIST
  set_default nm
  
--disabled optimizations || enabled ossfuzz || check_cflags -fomit-frame-pointer
-+enabled x86_32 && check_cflags -fomit-frame-pointer
+-disabled optimizations || enabled ossfuzz || echo "$CFLAGS" | grep -q -- '-fsanitize=' || check_cflags -fomit-frame-pointer
++enabled x86_64 && check_cflags -fomit-frame-pointer
  
  enable_weak_pic() {
      disabled pic && return
-@@ -6432,6 +6432,7 @@ check_func_headers mach/mach_time.h mach_absolute_time
- check_func_headers stdlib.h getenv
- check_func_headers sys/stat.h lstat
- check_func_headers sys/auxv.h getauxval
-+check_func_headers sys/auxv.h elf_aux_info
- check_func_headers sys/sysctl.h sysctlbyname
- 
- check_func_headers windows.h GetModuleHandle
-@@ -6498,7 +6499,7 @@ check_headers asm/types.h
+@@ -6799,7 +6798,7 @@ check_headers asm/types.h
  #
  # some configurations also require linking to libatomic, so try
  # both with -latomic and without
 -for LATOMIC in "-latomic" ""; do
 +for LATOMIC in "" "-latomic"; do
-     check_builtin stdatomic stdatomic.h                                                 \
-         "atomic_int foo, bar = ATOMIC_VAR_INIT(-1); atomic_store(&foo, 0); foo += bar"  \
+     check_builtin stdatomic stdatomic.h                                \
+         "atomic_int foo, bar = -1; atomic_store(&foo, 0); foo += bar"  \
          $LATOMIC && eval stdatomic_extralibs="\$LATOMIC" && break
Index: patches/patch-ffbuild_library_mak
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/patches/patch-ffbuild_library_mak,v
diff -u -p -r1.3 patch-ffbuild_library_mak
--- patches/patch-ffbuild_library_mak	24 Nov 2024 08:50:45 -0000	1.3
+++ patches/patch-ffbuild_library_mak	23 Aug 2025 10:05:51 -0000
@@ -1,16 +1,19 @@
 Index: ffbuild/library.mak
 --- ffbuild/library.mak.orig
 +++ ffbuild/library.mak
-@@ -66,7 +66,7 @@ $(SUBDIR)$(SLIBNAME): $(SUBDIR)$(SLIBNAME_WITH_MAJOR)
- 
- $(SUBDIR)$(SLIBNAME_WITH_MAJOR): $(OBJS) $(SHLIBOBJS) $(SLIBOBJS) $(SUBDIR)lib$(NAME).ver
+@@ -74,9 +74,9 @@ $(SUBDIR)$(SLIBNAME_WITH_MAJOR): $(OBJS) $(SHLIBOBJS) 
  	$(SLIB_CREATE_DEF_CMD)
+ ifeq ($(RESPONSE_FILES),yes)
+ 	$(Q)echo $$(filter %.o,$$^) > $$@.objs
+-	$$(LD) $(SHFLAGS) $(LDFLAGS) $(LDSOFLAGS) $$(LD_O) @$$@.objs $(FFEXTRALIBS)
++	$$(LD) $(SHFLAGS) $(LDFLAGS) $(LDSOFLAGS) $$(LD_O) @$$@.objs $(LIB$(NAME)_EXTRALIBS)
+ else
 -	$$(LD) $(SHFLAGS) $(LDFLAGS) $(LDSOFLAGS) $$(LD_O) $$(filter %.o,$$^) $(FFEXTRALIBS)
 +	$$(LD) $(SHFLAGS) $(LDFLAGS) $(LDSOFLAGS) $$(LD_O) $$(filter %.o,$$^) $(LIB$(NAME)_EXTRALIBS)
+ endif
  	$(SLIB_EXTRA_CMD)
- 
- ifdef SUBDIR
-@@ -80,8 +80,6 @@ clean::
+ 	-$(RM) $$@.objs
+@@ -92,8 +92,6 @@ clean::
  install-lib$(NAME)-shared: $(SUBDIR)$(SLIBNAME)
  	$(Q)mkdir -p "$(SHLIBDIR)"
  	$$(INSTALL) -m 755 $$< "$(SHLIBDIR)/$(SLIB_INSTALL_NAME)"
Index: patches/patch-libavformat_avformat_h
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/patches/patch-libavformat_avformat_h,v
diff -u -p -r1.5 patch-libavformat_avformat_h
--- patches/patch-libavformat_avformat_h	24 Nov 2024 08:50:45 -0000	1.5
+++ patches/patch-libavformat_avformat_h	23 Aug 2025 10:05:51 -0000
@@ -3,9 +3,9 @@ Add av_stream_get_first_dts for Chromium
 Index: libavformat/avformat.h
 --- libavformat/avformat.h.orig
 +++ libavformat/avformat.h
-@@ -1030,6 +1030,10 @@ attribute_deprecated
- int64_t    av_stream_get_end_pts(const AVStream *st);
- #endif
+@@ -1179,6 +1179,10 @@ typedef struct AVStreamGroup {
+ 
+ struct AVCodecParserContext *av_stream_get_parser(const AVStream *s);
  
 +// Chromium: We use the internal field first_dts vvv
 +int64_t    av_stream_get_first_dts(const AVStream *st);
Index: patches/patch-libavformat_mux_utils_c
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/patches/patch-libavformat_mux_utils_c,v
diff -u -p -r1.1 patch-libavformat_mux_utils_c
--- patches/patch-libavformat_mux_utils_c	24 Nov 2024 08:50:45 -0000	1.1
+++ patches/patch-libavformat_mux_utils_c	23 Aug 2025 10:05:51 -0000
@@ -3,9 +3,9 @@ Add av_stream_get_first_dts for Chromium
 Index: libavformat/mux_utils.c
 --- libavformat/mux_utils.c.orig
 +++ libavformat/mux_utils.c
-@@ -40,6 +40,13 @@ int64_t av_stream_get_end_pts(const AVStream *st)
- }
- #endif
+@@ -29,6 +29,13 @@
+ #include "internal.h"
+ #include "mux.h"
  
 +// Chromium: We use the internal field first_dts vvv
 +int64_t av_stream_get_first_dts(const AVStream *st)
Index: patches/patch-libavformat_tls_openssl_c
===================================================================
RCS file: patches/patch-libavformat_tls_openssl_c
diff -N patches/patch-libavformat_tls_openssl_c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-libavformat_tls_openssl_c	23 Aug 2025 11:04:30 -0000
@@ -0,0 +1,34 @@
+Index: libavformat/tls_openssl.c
+--- libavformat/tls_openssl.c.orig
++++ libavformat/tls_openssl.c
+@@ -33,6 +33,8 @@
+ #include <openssl/err.h>
+ #include <openssl/x509v3.h>
+ 
++#define TLS_ST_OK SSL_ST_OK
++
+ /**
+  * Returns a heap-allocated null-terminated string containing
+  * the PEM-encoded public key. Caller must free.
+@@ -869,7 +871,9 @@ static int dtls_start(URLContext *h, const char *url, 
+         c->mtu = 1096;
+     SSL_set_options(p->ssl, SSL_OP_NO_QUERY_MTU);
+     SSL_set_mtu(p->ssl, c->mtu);
++#ifdef DTLS_set_link_mtu
+     DTLS_set_link_mtu(p->ssl, c->mtu);
++#endif
+     init_bio_method(h);
+     if (p->tls_shared.external_sock != 1) {
+         if ((ret = ff_tls_open_underlying(&p->tls_shared, h, url, options)) < 0) {
+@@ -1008,8 +1012,10 @@ static int tls_write(URLContext *h, const uint8_t *buf
+     uc->flags &= ~AVIO_FLAG_NONBLOCK;
+     uc->flags |= h->flags & AVIO_FLAG_NONBLOCK;
+ 
+-    if (c->tls_shared.is_dtls)
++#ifdef DTLS_get_link_mtu
++  if (c->tls_shared.is_dtls)
+         size = FFMIN(size, DTLS_get_data_mtu(c->ssl));
++#endif
+ 
+     ret = SSL_write(c->ssl, buf, size);
+     if (ret > 0)
Index: patches/patch-libavformat_udp_c
===================================================================
RCS file: patches/patch-libavformat_udp_c
diff -N patches/patch-libavformat_udp_c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-libavformat_udp_c	23 Aug 2025 10:39:26 -0000
@@ -0,0 +1,21 @@
+libavformat/udp.c:283:9: warning: unused variable 'i' [-Wunused-variable]
+
+Index: libavformat/udp.c
+--- libavformat/udp.c.orig
++++ libavformat/udp.c
+@@ -280,13 +280,14 @@ static int udp_set_multicast_sources(URLContext *h,
+                                      struct sockaddr_storage *sources,
+                                      int nb_sources, int include)
+ {
++#if HAVE_STRUCT_IP_MREQ_SOURCE && (defined(IP_BLOCK_SOURCE) || defined(IP_BLOCK_SOURCE))
+     int i;
++#endif
+     if (addr->sa_family != AF_INET) {
+ #if HAVE_STRUCT_GROUP_SOURCE_REQ && defined(MCAST_BLOCK_SOURCE)
+         /* For IPv4 prefer the old approach, as that alone works reliably on
+          * Windows and it also supports supplying the interface based on its
+          * address. */
+-        int i;
+         for (i = 0; i < nb_sources; i++) {
+             struct group_source_req mreqs;
+             int level = addr->sa_family == AF_INET ? IPPROTO_IP : IPPROTO_IPV6;
Index: patches/patch-libavutil_aarch64_cpu_c
===================================================================
RCS file: patches/patch-libavutil_aarch64_cpu_c
diff -N patches/patch-libavutil_aarch64_cpu_c
--- patches/patch-libavutil_aarch64_cpu_c	24 Nov 2024 08:50:45 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,64 +0,0 @@
-- aarch64: Simplify the linux runtime cpu detection code
-  f05948ada435d95fed3cc9279cec0ccef8a10a2c
-- aarch64: Use regular hwcaps flags instead of HWCAP_CPUID for CPU feature detection on Linux
-  e30369bc1c683aeab6ea74bc37b4ae77b03f79b5
-- avutil/cpu_internal: Provide ff_getauxval() wrapper for getauxvaul()
-  fe4b9ef69f10df2424e22cc8a1a63848c0857460
-- aarch64: Implement support for elf_aux_info(3) on FreeBSD and OpenBSD
-  a3f79fd22a367207097c78e0a5d2bc213efe9f80
-
-Index: libavutil/aarch64/cpu.c
---- libavutil/aarch64/cpu.c.orig
-+++ libavutil/aarch64/cpu.c
-@@ -20,42 +20,24 @@
- #include "libavutil/cpu_internal.h"
- #include "config.h"
- 
--#if (defined(__linux__) || defined(__ANDROID__)) && HAVE_GETAUXVAL
-+#if HAVE_GETAUXVAL || HAVE_ELF_AUX_INFO
- #include <stdint.h>
- #include <sys/auxv.h>
- 
--#define get_cpu_feature_reg(reg, val) \
--        __asm__("mrs %0, " #reg : "=r" (val))
-+#define HWCAP_AARCH64_ASIMDDP (1 << 20)
-+#define HWCAP2_AARCH64_I8MM   (1 << 13)
- 
- static int detect_flags(void)
- {
-     int flags = 0;
--    unsigned long hwcap;
- 
--    hwcap = getauxval(AT_HWCAP);
-+    unsigned long hwcap = ff_getauxval(AT_HWCAP);
-+    unsigned long hwcap2 = ff_getauxval(AT_HWCAP2);
- 
--#if defined(HWCAP_CPUID)
--    // We can check for DOTPROD and I8MM using HWCAP_ASIMDDP and
--    // HWCAP2_I8MM too, avoiding to read the CPUID registers (which triggers
--    // a trap, handled by the kernel). However the HWCAP_* defines for these
--    // extensions are added much later than HWCAP_CPUID, so the userland
--    // headers might lack support for them even if the binary later is run
--    // on hardware that does support it (and where the kernel might support
--    // HWCAP_CPUID).
--    // See https://www.kernel.org/doc/html/latest/arm64/cpu-feature-registers.html
--    if (hwcap & HWCAP_CPUID) {
--        uint64_t tmp;
--
--        get_cpu_feature_reg(ID_AA64ISAR0_EL1, tmp);
--        if (((tmp >> 44) & 0xf) == 0x1)
--            flags |= AV_CPU_FLAG_DOTPROD;
--        get_cpu_feature_reg(ID_AA64ISAR1_EL1, tmp);
--        if (((tmp >> 52) & 0xf) == 0x1)
--            flags |= AV_CPU_FLAG_I8MM;
--    }
--#else
--    (void)hwcap;
--#endif
-+    if (hwcap & HWCAP_AARCH64_ASIMDDP)
-+        flags |= AV_CPU_FLAG_DOTPROD;
-+    if (hwcap2 & HWCAP2_AARCH64_I8MM)
-+        flags |= AV_CPU_FLAG_I8MM;
- 
-     return flags;
- }
Index: patches/patch-libavutil_arm_cpu_c
===================================================================
RCS file: patches/patch-libavutil_arm_cpu_c
diff -N patches/patch-libavutil_arm_cpu_c
--- patches/patch-libavutil_arm_cpu_c	24 Nov 2024 08:50:45 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,15 +0,0 @@
-- avutil/cpu_internal: Provide ff_getauxval() wrapper for getauxvaul()
-  fe4b9ef69f10df2424e22cc8a1a63848c0857460
-
-Index: libavutil/arm/cpu.c
---- libavutil/arm/cpu.c.orig
-+++ libavutil/arm/cpu.c
-@@ -55,7 +55,7 @@
- static int get_auxval(uint32_t *hwcap)
- {
- #if HAVE_GETAUXVAL
--    unsigned long ret = getauxval(AT_HWCAP);
-+    unsigned long ret = ff_getauxval(AT_HWCAP);
-     if (ret == 0)
-         return -1;
-     *hwcap = ret;
Index: patches/patch-libavutil_cpu_c
===================================================================
RCS file: patches/patch-libavutil_cpu_c
diff -N patches/patch-libavutil_cpu_c
--- patches/patch-libavutil_cpu_c	24 Nov 2024 08:50:45 -0000	1.4
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,41 +0,0 @@
-- avutil/cpu_internal: Provide ff_getauxval() wrapper for getauxvaul()
-  fe4b9ef69f10df2424e22cc8a1a63848c0857460
-- aarch64: Implement support for elf_aux_info(3) on FreeBSD and OpenBSD
-  a3f79fd22a367207097c78e0a5d2bc213efe9f80
-
-Index: libavutil/cpu.c
---- libavutil/cpu.c.orig
-+++ libavutil/cpu.c
-@@ -49,6 +49,10 @@
- #include <unistd.h>
- #endif
- 
-+#if HAVE_GETAUXVAL || HAVE_ELF_AUX_INFO
-+#include <sys/auxv.h>
-+#endif
-+
- static atomic_int cpu_flags = ATOMIC_VAR_INIT(-1);
- static atomic_int cpu_count = ATOMIC_VAR_INIT(-1);
- 
-@@ -282,4 +286,21 @@ size_t av_cpu_max_align(void)
- #endif
- 
-     return 8;
-+}
-+
-+unsigned long ff_getauxval(unsigned long type)
-+{
-+#if HAVE_GETAUXVAL
-+    return getauxval(type);
-+#elif HAVE_ELF_AUX_INFO
-+    unsigned long aux = 0;
-+    int ret = elf_aux_info(type, &aux, sizeof(aux));
-+    if (ret != 0) {
-+        errno = ret;
-+    }
-+    return aux;
-+#else
-+    errno = ENOSYS;
-+    return 0;
-+#endif
- }
Index: patches/patch-libavutil_cpu_internal_h
===================================================================
RCS file: patches/patch-libavutil_cpu_internal_h
diff -N patches/patch-libavutil_cpu_internal_h
--- patches/patch-libavutil_cpu_internal_h	24 Nov 2024 08:50:45 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,13 +0,0 @@
-- avutil/cpu_internal: Provide ff_getauxval() wrapper for getauxvaul()
-  fe4b9ef69f10df2424e22cc8a1a63848c0857460
-
-Index: libavutil/cpu_internal.h
---- libavutil/cpu_internal.h.orig
-+++ libavutil/cpu_internal.h
-@@ -59,4 +59,6 @@ size_t ff_get_cpu_max_align_ppc(void);
- size_t ff_get_cpu_max_align_x86(void);
- size_t ff_get_cpu_max_align_loongarch(void);
- 
-+unsigned long ff_getauxval(unsigned long type);
-+
- #endif /* AVUTIL_CPU_INTERNAL_H */
Index: patches/patch-libavutil_mips_cpu_c
===================================================================
RCS file: patches/patch-libavutil_mips_cpu_c
diff -N patches/patch-libavutil_mips_cpu_c
--- patches/patch-libavutil_mips_cpu_c	24 Nov 2024 08:50:45 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,15 +0,0 @@
-- avutil/cpu_internal: Provide ff_getauxval() wrapper for getauxvaul()
-  fe4b9ef69f10df2424e22cc8a1a63848c0857460
-
-Index: libavutil/mips/cpu.c
---- libavutil/mips/cpu.c.orig
-+++ libavutil/mips/cpu.c
-@@ -34,7 +34,7 @@
- 
- static int cpucfg_available(void)
- {
--    return getauxval(AT_HWCAP) & HWCAP_LOONGSON_CPUCFG;
-+    return ff_getauxval(AT_HWCAP) & HWCAP_LOONGSON_CPUCFG;
- }
- 
- /* Most toolchains have no CPUCFG support yet */
Index: patches/patch-libavutil_ppc_cpu_c
===================================================================
RCS file: patches/patch-libavutil_ppc_cpu_c
diff -N patches/patch-libavutil_ppc_cpu_c
--- patches/patch-libavutil_ppc_cpu_c	24 Nov 2024 08:50:45 -0000	1.4
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,88 +0,0 @@
-- libavutil/ppc: Make use of getauxval() and elf_aux_info() on ppc
-  2bf588f273432344d95164c7f83832839a938088
-- libavutil/ppc: Include the hardware feature flags like the other archs
-  d6b2d08fc7283da7a5db7a64d9a3047ed1ba0de1
-- libavutil/ppc: defines involving bit shifts should be unsigned
-  c325f9c619b38614ab6e339cefacd596266db471
-
-Index: libavutil/ppc/cpu.c
---- libavutil/ppc/cpu.c.orig
-+++ libavutil/ppc/cpu.c
-@@ -20,6 +20,11 @@
- 
- #ifdef __APPLE__
- #include <sys/sysctl.h>
-+#elif HAVE_GETAUXVAL || HAVE_ELF_AUX_INFO
-+#ifdef __FreeBSD__
-+#include <machine/cpu.h>
-+#endif
-+#include <sys/auxv.h>
- #elif defined(__linux__)
- #include <asm/cputable.h>
- #include <linux/auxvec.h>
-@@ -41,6 +46,17 @@
- #include "libavutil/cpu.h"
- #include "libavutil/cpu_internal.h"
- 
-+#ifndef AT_HWCAP
-+#define AT_HWCAP             16
-+#endif
-+#ifndef AT_HWCAP2
-+#define AT_HWCAP2            26
-+#endif
-+
-+#define HWCAP_PPC_VSX        (1U << 7)
-+#define HWCAP_PPC_ALTIVEC    (1U << 28)
-+#define HWCAP2_PPC_ARCH_2_07 (1U << 31)
-+
- /**
-  * This function MAY rely on signal() or fork() in order to make sure AltiVec
-  * is present.
-@@ -56,6 +72,20 @@ int ff_get_cpu_flags_ppc(void)
-     if (result == VECTORTYPE_ALTIVEC)
-         return AV_CPU_FLAG_ALTIVEC;
-     return 0;
-+#elif HAVE_GETAUXVAL || HAVE_ELF_AUX_INFO
-+    int flags = 0;
-+
-+    unsigned long hwcap = ff_getauxval(AT_HWCAP);
-+    unsigned long hwcap2 = ff_getauxval(AT_HWCAP2);
-+
-+    if (hwcap & HWCAP_PPC_ALTIVEC)
-+       flags |= AV_CPU_FLAG_ALTIVEC;
-+    if (hwcap & HWCAP_PPC_VSX)
-+       flags |= AV_CPU_FLAG_VSX;
-+    if (hwcap2 & HWCAP2_PPC_ARCH_2_07)
-+       flags |= AV_CPU_FLAG_POWER8;
-+
-+    return flags;
- #elif defined(__APPLE__) || defined(__NetBSD__) || defined(__OpenBSD__)
- #if defined(__NetBSD__) || defined(__OpenBSD__)
-     int sels[2] = {CTL_MACHDEP, CPU_ALTIVEC};
-@@ -87,23 +117,17 @@ int ff_get_cpu_flags_ppc(void)
-             if (buf[i] == AT_NULL)
-                 goto out;
-             if (buf[i] == AT_HWCAP) {
--                if (buf[i + 1] & PPC_FEATURE_HAS_ALTIVEC)
-+                if (buf[i + 1] & HWCAP_PPC_ALTIVEC)
-                     ret = AV_CPU_FLAG_ALTIVEC;
--#ifdef PPC_FEATURE_HAS_VSX
--                if (buf[i + 1] & PPC_FEATURE_HAS_VSX)
-+                if (buf[i + 1] & HWCAP_PPC_VSX)
-                     ret |= AV_CPU_FLAG_VSX;
--#endif
-                 if (ret & AV_CPU_FLAG_VSX)
-                     av_assert0(ret & AV_CPU_FLAG_ALTIVEC);
-             }
--#ifdef AT_HWCAP2 /* not introduced until glibc 2.18 */
-             else if (buf[i] == AT_HWCAP2) {
--#ifdef PPC_FEATURE2_ARCH_2_07
--                if (buf[i + 1] & PPC_FEATURE2_ARCH_2_07)
-+                if (buf[i + 1] & HWCAP2_PPC_ARCH_2_07)
-                     ret |= AV_CPU_FLAG_POWER8;
--#endif
-             }
--#endif /* AT_HWCAP2 */
-         }
-     }
- 
Index: patches/patch-libavutil_riscv_cpu_c
===================================================================
RCS file: patches/patch-libavutil_riscv_cpu_c
diff -N patches/patch-libavutil_riscv_cpu_c
--- patches/patch-libavutil_riscv_cpu_c	29 Nov 2024 09:51:40 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,28 +0,0 @@
-- avutil/cpu_internal: Provide ff_getauxval() wrapper for getauxvaul()
-  fe4b9ef69f10df2424e22cc8a1a63848c0857460
-- libavutil/riscv: Make use of elf_aux_info() on FreeBSD / OpenBSD riscv
-  f3eca3f387092c596f035a126fba15a30c3a9499
-
-Index: libavutil/riscv/cpu.c
---- libavutil/riscv/cpu.c.orig
-+++ libavutil/riscv/cpu.c
-@@ -23,7 +23,7 @@
- #include "libavutil/log.h"
- #include "config.h"
- 
--#if HAVE_GETAUXVAL
-+#if HAVE_GETAUXVAL || HAVE_ELF_AUX_INFO
- #include <sys/auxv.h>
- #define HWCAP_RV(letter) (1ul << ((letter) - 'A'))
- #endif
-@@ -31,8 +31,8 @@
- int ff_get_cpu_flags_riscv(void)
- {
-     int ret = 0;
--#if HAVE_GETAUXVAL
--    const unsigned long hwcap = getauxval(AT_HWCAP);
-+#if HAVE_GETAUXVAL || HAVE_ELF_AUX_INFO
-+    const unsigned long hwcap = ff_getauxval(AT_HWCAP);
- 
-     if (hwcap & HWCAP_RV('I'))
-         ret |= AV_CPU_FLAG_RVI;
Index: patches/patch-libavutil_x86_x86inc_asm
===================================================================
RCS file: patches/patch-libavutil_x86_x86inc_asm
diff -N patches/patch-libavutil_x86_x86inc_asm
--- patches/patch-libavutil_x86_x86inc_asm	21 Jun 2023 12:58:18 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,27 +0,0 @@
-- define _CET_ENDBR depending X86_64 / X86
-- use it in cglobal macro
-
-Index: libavutil/x86/x86inc.asm
---- libavutil/x86/x86inc.asm.orig
-+++ libavutil/x86/x86inc.asm
-@@ -53,6 +53,12 @@
-     %endif
- %endif
- 
-+%if ARCH_X86_64
-+    %define _CET_ENDBR endbr64
-+%else
-+    %define _CET_ENDBR
-+%endif
-+
- %define WIN64  0
- %define UNIX64 0
- %if ARCH_X86_64
-@@ -746,6 +752,7 @@ BRANCH_INSTR jz, je, jnz, jne, jl, jle, jnl, jnle, jg,
-     %endif
-     align function_align
-     %2:
-+    _CET_ENDBR
-     RESET_MM_PERMUTATION        ; needed for x86-64, also makes disassembly somewhat nicer
-     %xdefine rstk rsp           ; copy of the original stack pointer, used when greater alignment than the known stack alignment is required
-     %assign stack_offset 0      ; stack pointer offset relative to the return address
Index: pkg/PLIST
===================================================================
RCS file: /home/cvs/ports/graphics/ffmpeg/pkg/PLIST,v
diff -u -p -r1.43 PLIST
--- pkg/PLIST	24 Nov 2024 08:50:45 -0000	1.43
+++ pkg/PLIST	30 Aug 2025 13:37:02 -0000
@@ -7,7 +7,6 @@ include/libavcodec/ac3_parser.h
 include/libavcodec/adts_parser.h
 include/libavcodec/avcodec.h
 include/libavcodec/avdct.h
-include/libavcodec/avfft.h
 include/libavcodec/bsf.h
 include/libavcodec/codec.h
 include/libavcodec/codec_desc.h
@@ -22,12 +21,12 @@ include/libavcodec/jni.h
 include/libavcodec/mediacodec.h
 include/libavcodec/packet.h
 include/libavcodec/qsv.h
+include/libavcodec/smpte_436m.h
 include/libavcodec/vdpau.h
 include/libavcodec/version.h
 include/libavcodec/version_major.h
 include/libavcodec/videotoolbox.h
 include/libavcodec/vorbis_parser.h
-include/libavcodec/xvmc.h
 include/libavdevice/
 include/libavdevice/avdevice.h
 include/libavdevice/version.h
@@ -63,6 +62,7 @@ include/libavutil/camellia.h
 include/libavutil/cast5.h
 include/libavutil/channel_layout.h
 include/libavutil/common.h
+include/libavutil/container_fifo.h
 include/libavutil/cpu.h
 include/libavutil/crc.h
 include/libavutil/csp.h
@@ -86,17 +86,21 @@ include/libavutil/hdr_dynamic_metadata.h
 include/libavutil/hdr_dynamic_vivid_metadata.h
 include/libavutil/hmac.h
 include/libavutil/hwcontext.h
+include/libavutil/hwcontext_amf.h
 include/libavutil/hwcontext_cuda.h
 include/libavutil/hwcontext_d3d11va.h
+include/libavutil/hwcontext_d3d12va.h
 include/libavutil/hwcontext_drm.h
 include/libavutil/hwcontext_dxva2.h
 include/libavutil/hwcontext_mediacodec.h
+include/libavutil/hwcontext_oh.h
 include/libavutil/hwcontext_opencl.h
 include/libavutil/hwcontext_qsv.h
 include/libavutil/hwcontext_vaapi.h
 include/libavutil/hwcontext_vdpau.h
 include/libavutil/hwcontext_videotoolbox.h
 include/libavutil/hwcontext_vulkan.h
+include/libavutil/iamf.h
 include/libavutil/imgutils.h
 include/libavutil/intfloat.h
 include/libavutil/intreadwrite.h
@@ -118,6 +122,7 @@ include/libavutil/pixfmt.h
 include/libavutil/random_seed.h
 include/libavutil/rational.h
 include/libavutil/rc4.h
+include/libavutil/refstruct.h
 include/libavutil/replaygain.h
 include/libavutil/ripemd.h
 include/libavutil/samplefmt.h
@@ -125,6 +130,7 @@ include/libavutil/sha.h
 include/libavutil/sha512.h
 include/libavutil/spherical.h
 include/libavutil/stereo3d.h
+include/libavutil/tdrdi.h
 include/libavutil/tea.h
 include/libavutil/threadmessage.h
 include/libavutil/time.h
@@ -138,10 +144,6 @@ include/libavutil/version.h
 include/libavutil/video_enc_params.h
 include/libavutil/video_hint.h
 include/libavutil/xtea.h
-include/libpostproc/
-include/libpostproc/postprocess.h
-include/libpostproc/version.h
-include/libpostproc/version_major.h
 include/libswresample/
 include/libswresample/swresample.h
 include/libswresample/version.h
@@ -160,8 +162,6 @@ include/libswscale/version_major.h
 @lib lib/libavformat.so.${LIBavformat_VERSION}
 @static-lib lib/libavutil.a
 @lib lib/libavutil.so.${LIBavutil_VERSION}
-@static-lib lib/libpostproc.a
-@lib lib/libpostproc.so.${LIBpostproc_VERSION}
 @static-lib lib/libswresample.a
 @lib lib/libswresample.so.${LIBswresample_VERSION}
 @static-lib lib/libswscale.a
@@ -171,7 +171,6 @@ lib/pkgconfig/libavdevice.pc
 lib/pkgconfig/libavfilter.pc
 lib/pkgconfig/libavformat.pc
 lib/pkgconfig/libavutil.pc
-lib/pkgconfig/libpostproc.pc
 lib/pkgconfig/libswresample.pc
 lib/pkgconfig/libswscale.pc
 @man man/man1/ffmpeg-all.1
